#if !defined(_PROPPAGE_VBSETTINGS_H_)
#define _PROPPAGE_VBSETTINGS_H_

// proppage_vbsettings.h : header file
//

class CXmlProjectSettings_Vb;

/////////////////////////////////////////////////////////////////////////////
// CPropPage_VbSettings dialog

class CPropPage_VbSettings : public CPropertyPage
{
	DECLARE_DYNCREATE(CPropPage_VbSettings)

// Construction
public:
	CPropPage_VbSettings();
	~CPropPage_VbSettings();

// Dialog Data
	//{{AFX_DATA(CPropPage_VbSettings)
	enum { IDD = IDD_PROPERTY_VB };
	CButton	chkEnableVb_;
	CEdit	txtGenerationPath_;
	CButton	cmdReset_;
	CButton	cmdBrowsePath_;
	CEdit	txtClassPrefix_;
	CButton	chkGenerateTestProject_;
	CButton	chkGenerateGui_;
	CButton	chkDeleteOldFiles_;
	//}}AFX_DATA

	virtual void SetData(CXmlProjectSettings_Vb* vbSettings);
	virtual void StoreData();

// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CPropPage_VbSettings)
	public:
	virtual BOOL OnApply();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void DisplaySettings();

	// Generated message map functions
	//{{AFX_MSG(CPropPage_VbSettings)
	afx_msg void OnChangeGenerationPath();
	afx_msg void OnChangeClassPrefix();
	afx_msg void OnChkDeletePreviouslyGeneratedFiles();
	afx_msg void OnChkGenerateGuiClasses();
	afx_msg void OnChkGenerateTestProject();
	afx_msg void OnCmdBrowsePath();
	virtual BOOL OnInitDialog();
	afx_msg void OnChkEnable();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

protected:
	
	void UpdateControlsEnable();

	CXmlProjectSettings_Vb* vbSettings_;

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(_PROPPAGE_VBSETTINGS_H_)
